# Passwortbewertung



## Lernziel

Einfache String-Verarbeitung.

## Aufgabe

Gehen Sie in das Paket [pr2.auffrischung.password](../sources/src/main/java/pr2/auffrischung/password).

Schreiben Sie eine Klasse `PasswortChecker` mit einer Methode `checkPassword`, die die Qualität von Passwörtern bewertet. Die Methode vergibt Punkte für bestimmte Qualitätskriterien des Passworts. Es gibt jeweils einen Punkt für:

  * Das Passwort ist mindestens 8 Zeichen lang.
  * Das Passwort enthält Groß- und Kleinbuchstaben.
  * Das Passwort enthält Buchstaben und Zahlen.
  * Das Passwort enthält mindestens eines der Sonderzeichen `!"()%`

Testen Sie die Methode mit verschiedenen Passwörtern.


## Abgabe (optional)

__Sie müssen keine Lösung für diese Aufgabe einreichen, können es aber, wenn Sie wollen.__

Wenn Sie die Aufgabe abgeben wollen, folgen Sie der unten stehenden Anleitung.

Alle Abgaben für die Vorlesung erfolgen über `git`.

Hierzu gehen Sie wie folgt vor:

  1. Öffnen Sie eine Kommandozeile (Terminal).
  2. Gehen Sie in Ihr Working Directory.
  3. Rufen Sie mit `bin/submit.sh` das Skript auf, das die Lösungen testet und kompiliert. Wenn Maven eine Fehlermeldung zeigt, beheben Sie diese zuerst, bevor Sie mit dem nächsten Schritt fortfahren.
  4. Wenn Sie Meldung "✅ Projekt gebaut" bekommen, checken (comitten) Sie Ihre Änderungen in `git` ein.
  5. Rufen Sie mit `bin/submit.sh` erneut das Skript auf. Wenn alles klappt, bekommen Sie die Anzeige "✅ Aktuelle Lösungen eingereicht" und Ihre Lösung ist im System angekommen.